# QResizeEvent Class Reference

The QResizeEvent class contains event parameters for resize events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QResizeEvent ( const QSize & size, const QSize & oldSize )
- const QSize& size () const
- const QSize& oldSize () const

## Detailed Description

The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also: QWidget::resize() and QWidget::setGeometry().

Examples: mainlyMotif/editor.cpp tictac/tictac.cpp life/life.cpp mainlyQt/editor.cpp tooltip/tooltip.cpp drawdemo/drawdemo.cpp xform/xform.cpp menu/menu.cpp qmag/qmag.cpp showimg/showimg.cpp mainlyXt/editor.cpp

## Member Function Documentation

### QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )

Constructs a resize event with the new and old widget sizes.

### const QSize & QResizeEvent::oldSize () const

Returns the old size of the widget.

### const QSize & QResizeEvent::size () const

Returns the new size of the widget, which is the same as QWidget::size().

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qevent.h: 1998/10/05
- qdnd_x11.cpp: 1998/12/17
- qevent.cpp: 1999/01/13